.\" t
.\" @(#)FvwmConsoleC.pl.1x	7/16/96
.TH FvwmConsoleC.pl 1x  "July 16 1996"
.\" $Id: FvwmConsoleC.pl-j.man,v 1.2 2008-08-05 13:13:35+09 shige Exp $
.\" FvwmConsoleC.pl for 2.0.46: ܸ: shige@iee.niit.ac.jp 
.UC

.\" .SH NAME
.SH ̾
.\" FvwmConsoleC.pl \- Command editor for FVWM command input interface 
FvwmConsoleC.pl \- FVWM ޥϥ󥿡եΥޥɥǥ
.\" .SH SYNOPSIS
.SH 
FvwmConsole -e /usr/X11/lib/fvwm2/FvwmConsoleC.pl

.\" .SH COPYRIGHT
.SH COPYRIGHT (ʸ)
Copyright 1996, Toshi Isogai. No guarantees or warranties are provided.
Use this program at your own risk. Permission to use this program for
any purpose is given, as long as the copyright is kept intact. 

.SH  (ܸ)
1996 ǯ Toshi Isogai ˤʪǤ
ʤݸ⡢ݾڤͿޤ
ΥץϤʤȤǤǻѤƤ
ΤޤݻƤ֤
ɤŪǤäƤ⡢ʤϤΥץѤǤޤ

.\" .SH DESCRIPTION
.SH 
.\" FvwmConsoleC.pl offers editing capabilities  while  the  user  is
.\" entering  the line.  By default, the line editing commands
.\" are similar to those of emacs. It also offers 
.\" .B substitution
.\" , which replaces a pattern to a string before it sends the command.
FvwmConsoleC.pl ϡ桼ιԤϤ˺ݤԽǽϤ󶡤ޤ
ǥեȤǤϡԤԽޥɤ emacs ΤΤȻƤޤ
ϡޥɤˤѥʸ֤
.B ִǽ
󶡤ޤ

.\" .SH FUNCTIONS
.SH ؿ
.\" Functions are bound to a key or key combination to be
.\" invoked. The followings are functions available and their
.\" default key bindings.
ؿθƤӽФϡ뤤ϥȹ礻˳ƤƤޤ
ʲͭʴؿȤΥǥեȤΥƤ򼨤ޤ
.RS
.IP \fBbind\fP 
\fIMeta-k, Cntl-x Cntl-b\fP
.br
.\" .\"Bind key to function or bind pattern to string for substitution.
.\" List up key bindings and substitutions.
.\" ϥؿ˳Ƥ뤫ѥִʸ˳Ƥޤ
Ƥִΰ򼨤ޤ
.IP \fBboh\fP
.br
.\" Move to the beginning of history.
ҥȥƬذưޤ
.IP "\fBboh_ign_mode\fP  \fIEsc-<\fP"
.br
.\" Move to the beginning of history. If it is in search mode,
.\" continue.
ҥȥƬذưޤ⡼Ǥϡ³ޤ
.IP \fBbol\fP
\fIHome, Cntl-a\fP
.br
.\" Move cursor to the beginning of the line.
Ƭذưޤ
.IP "\fBbs[(n)]\fP \fIBackSpace, Cntl-h\fP"
.br
.\" Backspace n times. default of n is 1.
n ХåڡޤǥեȤ n  1 Ǥ
.IP \fBcancel\fP
\fICntl-x Cntl-k\fP
.br
.\" Cancel the current input.
ߤϤ򥭥󥻥뤷ޤ
.IP \fBdel_back_line\fP
.br
.\" Delete the line from the beginning to the cursor.
Ƭ饫֤ޤǤޤ
.IP "\fBdel_back_word\fP \fICntl-w\fP"
.br
.\" Delete the word from the beginning to the cursor.
ñƬ饫֤ޤǤޤ
.IP "\fBdel_char [(n)]\fP \fIDelete, Cntl-d\fP"
.\" Delete n characters from the cursor to the right. Default of n
.\" is 1.
֤鱦 n ʸޤǥեȤ n  1 Ǥ
.IP "\fBdel_forw_line\fP \fICntl-k\fP"
.br
.\" Delete the line from the cursor to the end.
֤ޤǤޤ
.IP "\fBdel_forw_word\fP \fIMeta-d\fP"
.br
.\" Delete the word from the cursor to the end.
֤ñޤǤޤ
.IP "\fBdel_line\fP \fICntl-u\fP"
.br
.\" Delete the entire line.
ιΤޤ
.IP \fBenter\fP
\fIEnter, Cntl-j, Cntl-m\fP
.br
.\" Perform substitution if applicable and send the line to Fvwm.
ŬѲǽʤִ¹ԤιԤ Fvwm ޤ
.IP "\fBenter_wo_subst\fP \fIMeta-Enter\fP"
.br
.\" Send the line to Fvwm without any substitution.
ִ Fvwm ˤιԤޤ
.IP \fBeoh\fP
.br
.\" Move to the end of history.
ҥȥκǸذưޤ
.IP "\fBeoh_ign_mode\fP \fIEsc->\fP"
.br
.\" Move to the end of history. If it is in search mode, continue.
ҥȥκǸذưޤ⡼Ǥϡ³ޤ
.IP \fBeol\fP
\fIEnd, Cntl-e\fP
.br
.\" Move the cursor to the end of line.
ذưޤ
.IP "\fBins_char (str)\fP"
.br
.\" Insert string at the cursor.
֤ʸޤ
.IP "\fBins_last_word\fP \fIEsc-.\fP"
.br
.\" Insert the last argument of the previous command at the cursor.
ľΥޥɤκǸΰ򥫡֤ޤ
.IP "\fBins_nth_word\fP \fIMeta-[1..9]\fP"
.br
.\" Insert the n-th argument of the previous command at the cursor.
ľΥޥɤ n ܤΰ򥫡֤ޤ
.IP "\fBlist_func\fP \fIMeta-l\fP"
.br
.\" List up available editing functions.
ͭԽؿΰɽޤ
.IP "\fBnext_char\fP \fIRight, Cntl-f\fP"
.br
.\" Move the cursor to the next character.
򼡤ʸذưޤ
.IP "\fBnext_line\fP \fIDown, Cntl-n\fP"
.br
.\" Move to the next line in history.
ҥȥμιԤذưޤ
.IP "\fBnext_word\fP \fIMeta-f\fP"
.br
.\" Move the cursor to the next word.
򼡤ñذưޤ
.IP \fBprefix\fP
.br
.\" Wait for the next character typed in  for multi-key binding. 
ȹ礻γѤ˼ʸϤԤޤ
.IP "\fBprev_char\fP \fILeft, Cntl-b\fP"
.br
.\" Move the cursor to the previous character.
ʸذưޤ
.IP "\fBprev_line\fP \fIUp, Cntl-p\fP"
.br
.\" Move to the previous line in history.
ҥȥιԤذưޤ
.IP "\fBprev_word\fP \fIMeta-b\fP"
.br
.\" Move the cursor to the previous word.
ñذưޤ
.IP \fBquote\fP
\fICntl-q\fP
.br
.\" Insert the next character  typed  into  the  buffer literally.
ХåեϤ줿ʸºݤޤ
.IP \fBsearch\fP
\fICntl-s\fP
.br
.\" Search pattern in history.
ҥȥǥѥ򸡺ޤ
.IP "\fBsearch_rev\fP \fICntl-r\fP"
.br
.\" Search pattern in history in reverse order.
ҥȥǥѥս˸ޤ
.IP \fBsubst\fP
\fIMeta-s\fP
.br
.\" Substitute all patterns to strings and reprint the line.
.\" The substitutions are not nested and performed in the order
.\" that they are defined. 
٤ƤΥѥʸִιԤƤɽޤ
ִϥͥȤϤ줺Ƥμ¹Ԥ⤵ޤ
.RE

.\" .SH CONFIGURATION
.SH 
.\" The key binding can be overridden or defined
.\" in fvwm module configuration.
Ƥ fvwm Υ⥸塼񤭤Ǥޤ

.RS
*FvwmConsoleKey \\ck prev_line
.RE

.\" Non-space character sequence need not be quoted.
.\" In order to undefine, omit the last argument.
δޤޤʤʸϰǰϤɬפϤޤ
̤ˤˤϡǸΰάƤ

.RS
*FvwmConsoleKey \ck
.RE

.\" Note that non-meta character is case sensitive. 
.\" \\c means control key, \\e means escape, and \\m is alt key.
᥿ʸϡʸʸ϶̤뤳ȤդƤ
\\c ϥȥ륭\\e ϥס\\m  Alt ̣ޤ
.br
.\" It also accepts Subst configuration. Users often input long fvwm command
.\" repeatedly. Subst will replace particular input sequence to user defined
.\" string. Example:
ϡSubst Ĥޤ
桼Ϥ褯Ĺ fvwm ޥɤ򷫤֤Ϥޤ
Subst 桼ʸ֤Ƥޤ:

.RS
*FvwmConsoleSubst '^bigx' 'Exec xterm -g 120x60+0+0 -fn 10x20 -fg black -bg lemonchiffon'
.RE

.\" Typing 'bigx<return>' in FvwmConsole will launch xterm. '^' denotes 
.\" the beginning of line in 
.\" .B regular expression. 
.\" \'pl\' in the middle
.\" of the command will not be replaced. Although the format looks different,
.\" it takes Perl regular expression. 
.\" It just uses single or double quote as the delimiter.
.\" Single or double quotes have no difference, although they have to match,
.\" and cannot include itself in the string.
ϡ'bigx<return>'  FvwmConsole Ϥȡxterm ưޤ
\'^' 
.B ɽ
ǡԤƬ̣ޤ
ޥ \'pl\' ֤ޤ
񼰤񤷤ǤPerl ɽդޤ
ñ䡢ޤŰñʬΥȤƻȤäƤޤ
ñŰˤϰ㤤Ϥޤ󤬡
ǤϤϰפʤФʤ餺
켫Ȥʸ뤳ȤϤǤޤ

.RS
*FvwmConsoleSubst '^g\\s*(\\d+)' 'Desk 0 0\\nGotoPage 0 $1\\nFocus'
.RE

.\" Entering 'g4' or 'g  4' will jump to desk 0 page 0 4 and focus.
\'g4' ޤ 'g  4' Ϥȡǥȥå 0  ڡ 0 4 إפ
եޤ

.\" .SH INVOCATION
.SH ƤӽФ
.\" FvwmConsoleC.pl should be invoked by FvwmConsole.
FvwmConsoleC.pl  FvwmConsole ˤäƸƤӤΤǤ

.\" .SH SEE ALSO
.SH 
FvwmConsole(1x), perlre(1)

.\" .SH AUTHOR
.SH 
Toshi Isogai  
