.\" t
.\" @(#)FvwmCascade.1  11/27/96
.de EX		\"Begin example
.ne 5
.if n .sp 1
.if t .sp .5
.nf
.in +.5i
..
.de EE
.fi
.in -.5i
.if n .sp 1
.if t .sp .5
..
.TH FvwmCascade 1 "November 27, 1996" "FvwmCascade 1.0" "FvwmCascade 1.0"
.\" $Id: FvwmCascade-j.man,v 1.1 2007-01-08 22:03:29+09 shige Exp $
.\" FvwmCascade for 2.0.46: ܸ: shige@iee.niit.ac.jp 
.UC
.\" .SH NAME
.SH ̾
.\" FvwmCascade \- layer FVWM windows
FvwmCascade \- FVWM ɥѤ߽Ť
.\" .SH SYNOPSIS
.SH 
.\" FvwmCascade is spawned by fvwm, so no command line invocation will work.
FvwmCascade  fvwm ˤäƼ¹ԤΤ
ޥɥ饤󤫤θƤӽФǤưޤ

.\" .SH DESCRIPTION
.SH 
.\" This module attempts to cascade windows on the current screen
.\" subject to certain constraints.  Layering is performed so consecutive
.\" windows will have their window titles visible underneath the previous.
Υ⥸塼ϡߤΥ꡼Υɥ
٤εѤ߽Ťͤ褦Ȥޤ
Ѥ߽ŤͤϡϢ³ɥΥɥȥ뤬
ΥɥΤΤβ˸褦˹Ԥޤ

.\" .SH INVOCATION
.SH ƤӽФ
.\" FvwmCascade is best invoked from a menu, popup or button.  There are a
.\" number of command line options which can be used to constrain the
.\" layering.  These are described below.  As an example case, one could
.\" call FvwmCascade with the following arguments:
FvwmCascade ϡ˥塼ݥåץåץ˥塼ޤϥܥ󤫤
ƤӤΤ֤Ǥ礦
Ѥ߽ŤͤΤ˻Ȥ뤤ĤΥޥɥ饤󥪥ץ
ޤϰʲޤ
㤨СFvwmCascade ʲΤ褦ʰĤǸƤӤޤ:
.EX
FvwmCascade \-resize 10 2 80 70
.EE

.\" This invocation will cascade windows starting 10 by 2 percent into and
.\" down the screen.  Windows will be constrained to 80 by 70 percent of
.\" the screen dimensions.  Since the \fIresize\fP is also specified,
.\" windows will be resized to the given constrained width and height.
θƤӽФǤϡ
꡼κ夫ѡñ̤ 10x2 ΰ֤
ɥѤ߽Ťͤޤ
꡼ 80x70 ѡȤΰ֤ɥθ³֤Ȥʤޤ
\fIresize\fP ꤵƤΤǡ
ɥͿ줿³֤ˤޤǥѹޤ

.\" Command-line arguments passed to FvwmCascade are described here.
ޥɥ饤ϡʲΤ褦 FvwmCascade Ϥޤ
.IP \-a
.\" Causes \fIall\fP window styles to be affected, even ones with the
.\" WindowListSkip style.
ϡWindowListSkip 뤬Ƥ륦ɥޤ
\fI٤\fP ΥΥɥ˺Ѥޤ
.IP \-desk
.\" Causes all windows on the desk to be cascaded instead of the current
.\" screen only.
ϡߤΥ꡼ΥɥΤߤǤʤ
ǥȥåפΤ٤ƤΥɥ٤Τ褦¤Фޤ
.IP \-flatx
.\" Inhibits border width increment.
ϡβäޤ
.IP \-flaty
.\" Inhibits border height increment.
ϡι⤵äޤ
.IP "\-incx \fIarg\fP"
.\" Specifies a horizontal increment which is successively added to
.\" cascaded windows.  \fIarg\fP is a percentage of screen width, or pixel
.\" value if a \fIp\fP is suffixed.  Default is zero.
ϡŤͤ륦ɥ˽ɲäƤ
ʿʬꤷޤ
\fIarg\fP ϡ꡼βФɴʬΨǤ
\fIp\fP ˤĤƤХԥͤˤʤޤ
ǥեȤ 0 Ǥ
.IP "\-incy \fIarg\fP"
.\" Specifies a vertical increment which is successively added to cascaded
.\" windows.  \fIarg\fP is a percentage of screen height, or pixel value
.\" if a \fIp\fP is suffixed.  Default is zero.
ϡŤͤ륦ɥ˽ɲäƤ
ľʬꤷޤ
\fIarg\fP ϡ꡼ι⤵ФɴʬΨǤ
\fIp\fP ˤĤƤХԥͤˤʤޤ
ǥեȤ 0 Ǥ
.IP \-m
.\" Causes maximized windows to also be affected (implied by \-all).
ϡ粽줿ɥˤƶͿޤ (\-all ˴ޤޤ)
.IP \-noraise
.\" Inhibits window raising, leaving the depth ordering intact.
ϡɥ⤭夲ν򤽤Τޤޤˤޤ
.IP \-nostretch
.\" Inhibits window expansion when using the \-resize option.  Windows
.\" will only shrink to fit the maximal width and height (if given).
ϡץ \-resize ѤΥɥγޤ
äơɥϺȹ⤵ (ꤵ줿) 
˹礦褦˽̤ΤߤǤ
.IP \-r
.\" Reverses the window sequence.
ϡɥ¤Ӥսˤޤ
.IP \-s
.\" Causes sticky windows to also be affected (implied by \-all).
ϡsticky ɥˤƶͿޤ (\-all ˴ޤޤ)
.IP \-resize
.\" Forces all windows to resize to the constrained width and height (if
.\" given).
ϡŪˤ٤ƤΥɥ³βȹ⤵ (ꤵ줿)
˥ѹޤ
.IP \-t
.\" Causes transient windows to also be affected (implied by \-all).
ϡŪʥɥˤƶͿޤ (\-all ˴ޤޤ)
.IP \-u
.\" Causes untitled windows to also be affected (implied by \-all).
ϡȥΤʤɥˤƶͿޤ (\-all ˴ޤޤ)

.\" Up to four numbers can be placed on the command line that are not
.\" switches.  The first pair specify an x and y offset to start the first
.\" window (default is 0, 0).  The second pair specify a maximal width and
.\" height for the layered windows.  If an affected window exceeds either
.\" this width or height, it is resized to the maximal width or height.
.\" If each number is suffixed with the letter p, then it is taken to be a
.\" pixel value, otherwise it is interpreted as a screen percentage.
.\" Specifying zero for any parameter is equivalent to not specifying it.
ʾΥå
4 İʲΥޥɥ饤󥪥ץͿ뤳ȤǤޤ
ǽȤϡǽΥɥ֤餷֤ x  y ɸǤ
(ǥեȤǤ 0, 0)
ȤϡѤ߽Ťͤ줿ɥΤκβȹ⤵ꤷޤ
Ѥ륦ɥβȹ⤵ΰۤƤϡ
ϺβޤϹ⤵ˤʤ褦˥ѹޤ
θ p դ硢ϥԥͤȤɾޤ
ʳϥ꡼ΤФɴʬΨǤȤߤʤޤ
ƥѥ᡼ 0 ꤹΤϡ
˲ꤷʤȤƱˤʤޤ

.\" .SH BUGS
.SH Х
.\" It is probably not a good idea to delete windows while windows are
.\" being cascaded.
ɥѤ߽ŤͤƤ֤˥ɥȡ
⤷ɤʤȤˤʤ뤫⤷ޤ

.\" .SH AUTHOR
.SH 
Andrew Veliath
